------------------------------------------------------------------------------------------
-- GlobalDE file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
function CreateLocalizationInfo()
	Strings = {};

	------------------------------------------------------------------------------------------
	-- Deutsch´ --
	------------------------------------------------------------------------------------------
	Strings.PluginName = "AltHolic";
	Strings.PluginText = "Von Homeopatix";
	Strings.PluginEscEnable = "Escape-Taste aktiviert";
	Strings.PluginEscDesable = "Escape-Taste deaktiviert";
	Strings.PluginAltEnable = "Alt-Taste aktiviert";
	Strings.PluginAltDesable = "Alt-Taste deaktiviert";
	Strings.PluginClear = "L\195\182schen ";
	Strings.PluginClearAll = "Alle Eintr\195\164ge l\195\182schen";
	Strings.PluginToggleOn = "Fenster einschalten";
	Strings.PluginToggleOff = "Fenster ausschalten";
	Strings.PluginEscIconOn = "Symbol anzeigen";
	Strings.PluginEscIconOff = "Symbol verstecken";
	------------------------------------------------------------------------------------------
	-- help --
	------------------------------------------------------------------------------------------
	Strings.PluginHelp1 = "\n\nListe der Befehle:\n";
	Strings.PluginHelp2 = "/Alt help - Hilfefenster anzeigen.\n";
	Strings.PluginHelp3 = "/Alt show - Fenster anzeigen.\n";
	Strings.PluginHelp4 = "/Alt hide - Fenster verstecken.\n";
	Strings.PluginHelp5 = "/Alt esc - ESC-Taste aktivieren / deaktivieren.\n";
	Strings.PluginHelp6 = "/Alt options - Optionsfenster anzeigen.\n";
	Strings.PluginHelp7 = "/Alt clear all - Alle Eintr\195\164ge l\195\182schen.\n";
	Strings.PluginHelp8 = "/Alt clear CharakterName - Charakter l\195\182schen.\n";
	Strings.PluginHelp9 = "/Alt toggle - Fenster aktivieren / deaktivieren.\n";
	Strings.PluginHelp10 = "/Alt icon - Symbol ein-oder ausblenden.\n";
	Strings.PluginHelp11 = "/Alt alt - ALT-Taste gedr\195\188ckt halten, um das Symbol zu verschieben.\n";
	Strings.PluginCloseButton = "Fenster schlie\195\159en";
	Strings.PluginVaultSaved = "Bank gespeichert";
	Strings.PluginBagSaved = "Rucksack gespeichert";
	Strings.PluginSharedStorageSaved = "Gemeinsamer Lagerraum gespeichert";
	Strings.PluginISeeYou = "Ich sehe Dich";
	------------------------------------------------------------------------------------------
	-- info window --
	------------------------------------------------------------------------------------------
	Strings.PluginInfo1 = "Info f\195\188r ";
	Strings.PluginInfo2 = "\195\164nderungen \195\188berpr\195\188fen";
	Strings.PluginInfo3 = "Alles l\195\182schen";
	------------------------------------------------------------------------------------------
	-- search --
	------------------------------------------------------------------------------------------
	Strings.PluginSearch = "Suchfenster";
	Strings.PluginSearch1 = "Gefunden : ";
	Strings.PluginSearch2 = "Suche";
	Strings.PluginSearch3 = "Rucksack";
	Strings.PluginSearch4 = "Bank";
	Strings.PluginSearch5 = "Gemeinsamer Lagerraum";
	Strings.PluginSearch6 = "Objekte";
	Strings.PluginSearch7 = "Geldbeutel";
	Strings.PluginSearch8 = "Vollst\195\164ndige Suche";
	Strings.PluginSearch9 = "Wo soll die Suche durchgef\195\188hrt werden";
	Strings.PluginSearch10 = "Nichts gefunden in ";
	Strings.PluginSearch11 = "mit der Suche : ";
	------------------------------------------------------------------------------------------
	-- epique --
	------------------------------------------------------------------------------------------
	Strings.PluginEpiqueWindow1 = "Epos Buch";
	Strings.PluginAddNewEpique = "Neues Buch hinzuf\195\188gen";
	Strings.PluginAddNewBook = "Neues Buch f\195\188r ";
	Strings.PluginAddNewBookVolume = "Band";
	Strings.PluginAddNewBookLivre = "Buch";
	Strings.PluginAddNewBookChapitre = "Kapitel";
	Strings.PluginUpdate = "Aktualisieren";
	Strings.PluginDelete = "L\195\182schen";
	Strings.PluginUpdateTitle = "Buch aktualisieren f\195\188r ";
	Strings.PluginExample1 = "Beispiel : I, II, III oder 1, 2, 3";
	Strings.PluginExample2 = "Beispiel : I, II, III oder 1, 2, 3 oder Prolog";
	Strings.PluginExample3 = "Beispiel : 1, 2, 3 oder Vorwort";
	------------------------------------------------------------------------------------------
	-- professions tier --
	------------------------------------------------------------------------------------------
	Strings.PluginProfTier1 = "Lehrling";
	Strings.PluginProfTier2 = "Geselle";
	Strings.PluginProfTier3 = "Experte";
	Strings.PluginProfTier4 = "Virtuose";
	Strings.PluginProfTier5 = "Meister";
	Strings.PluginProfTier6 = "\195\156berragend";
	Strings.PluginProfTier7 = "Westfold";
	Strings.PluginProfTier8 = "Ost-Emnet";
	Strings.PluginProfTier9 = "West-Emnet";
	Strings.PluginProfTier10 = "An\195\179rien";
	Strings.PluginProfTier11 = "Unheilskluft";
	Strings.PluginProfTier12 = "Eisenbruch";
	Strings.PluginProfTier13 = "Minas Ithil";
	Strings.PluginProfTier20 = "Handwerk";
	Strings.PluginProfTier21 = "Maximale Stufe";
	------------------------------------------------------------------------------------------
	-- item quality --
	------------------------------------------------------------------------------------------
	Strings.PluginQuality1 = "Verbreitet";
	Strings.PluginQuality2 = "Unvergleichlich";
	Strings.PluginQuality3 = "Legend\195\164r";
	Strings.PluginQuality4 = "Selten";
	Strings.PluginQuality5 = "Ungew\195\182hnlich";
	Strings.PluginQuality6 = "Nicht definiert";
	Strings.PluginDescription = "Beschreibung";
	Strings.PluginQuality = "Qualit\195\164t";
	Strings.PluginDurability = "Haltbarkeit";
	Strings.PluginNoDurability = "Keine Haltbarkeit";
	------------------------------------------------------------------------------------------
	-- help for the search window --
	------------------------------------------------------------------------------------------
	Strings.PluginLabelHelp = "Hilfe anzeigen";
	Strings.PluginHelpWindow1 = "\n\nIhr m\195\188sst mindestens zwei Zeichen eingeben\n\n";
	Strings.PluginHelpWindow2 = "Ihr k\195\182nnt eine vollst\195\164ndige Suche durchf\195\188hren, indem Ihr Folgendes eingebt **\n\n";
	Strings.PluginHelpWindow3 = "Ihr k\195\182nnt eine Suche durchf\195\188hren, indem Ihr den Namen eines Objekts eingebt\n\n";
	Strings.PluginHelpWindow4 = "Gro\195\159schreibung am Wortanfang, wenn der Suchname der Name des Objekts ist\n\n";
	Strings.PluginHelpWindow5= "Wenn Ihr nicht gro\195\159 schreibt, wird in allen Objekten gesucht\n\n";
	Strings.PluginHelpWindow6 = "Ihr k\195\182nnt beispielsweise eine spezielle Suche durchf\195\188hren mit a*\n";
	Strings.PluginHelpWindow7 = "Dadurch wird das gesamte Objekt zur\195\188ckgegeben, das den Buchstaben enth\195\164lt a\n\n";
	Strings.PluginHelpWindow8 = "Klickt auf die Schaltfl\195\164che, in der Ihr suchen m\195\182chtet\n\n";
	Strings.PluginHelpWindow9 = "Oder klickt auf die letzte Schaltfl\195\164che, um eine vollst\195\164ndige Suche durchzuf\195\188hren\n";
	Strings.PluginButtonHelpWindow = "Hilfe schlie\195\159en";
	Strings.PluginTitreHelpWindow = "Hilfe f\195\188r die Suche";
	-- help for epic book
	Strings.PluginHelpWindow10 = "Ihr m\195\188sst auf das Kreuz klicken, um einen neuen Eintrag vorzunehmen\n\n";
	Strings.PluginHelpWindow11 = "Gebt die Bandnummer, die Buchnummer und die Kapitelnummer ein, falls vorhanden\n\n";
	Strings.PluginHelpWindow12 = "Ihr k\195\182nnt in r\195\182mischen Ziffern oder mit normalen Ziffern schreiben\n\n";
	Strings.PluginHelpWindow13 = "Schreibt Prolog f\195\188r den Prolog und Vorwort f\195\188r das Vorwort\n\n";
	Strings.PluginHelpWindow14 = "Klickt auf einen Eintrag, um ihn zu bearbeiten oder zu l\195\182schen\n";
	Strings.PluginTitreHelpWindow2 = "Epische Quest-Hilfe";
	-- help for reputations
	Strings.PluginHelpWindow15 = "Klickt auf den Namen einer Ruf-Fraktion, um sie zu \195\164ndern\n\n";
	Strings.PluginHelpWindow16 = "Gebt den aktuellen Stand ein\n\n";
	Strings.PluginHelpWindow17 = "Wenn der Ruf maximiert ist, gebt 45'000 ein\n\n";
	Strings.PluginHelpWindow18 = "W\195\164hlt Euren Titel aus dem Dropdown-Men\195\188\n\n";
	Strings.PluginHelpWindow19 = "\195\156berpr\195\188ft den Vorgang\n\n";
	Strings.PluginHelpWindow20 = "Die Fraktionsstufe erh\195\182ht sich automatisch, aber Ihr m\195\188sst die Punkte und die Startposition definieren\n\n";
	Strings.PluginHelpWindow21 = "Ihr k\195\182nnt auf das Kreuz klicken, um nur bekannte Fraktionen anzuzeigen\n\n";
	Strings.PluginTitreHelpWindow3 = "Hilfe f\195\188r Ruf-Fraktionen";
	------------------------------------------------------------------------------------------
	-- vault --
	------------------------------------------------------------------------------------------
	Strings.PluginVault1 = "Bank von ";
	Strings.PluginVault2 = "Bankplatz : ";
	Strings.PluginVault3 = "Ihr m\195\188sst Eure Bank \195\182ffnen, um zu sehen, was sich darin befindet";
	Strings.PluginSharedStorage1 = "Gemeinsamer Lagerraum";
	Strings.PluginSharedStorage2 = "Pl\195\164tze des gemeinsamen Lagerraums ";
	Strings.PluginSharedStorage3 = "Ihr m\195\188sst Euren gemeinsamen Lagerraum \195\182ffnen, um anzuzeigen, was sich darin befindet";
	------------------------------------------------------------------------------------------
	-- equipement --
	------------------------------------------------------------------------------------------
	Strings.PluginEquipement1 = "Ausr\195\188stung von ";
	Strings.PluginEquipement2 = "Ausr\195\188stung fehlt";
	Strings.PluginEquipement3 = "Gegenstandsstufe";
	Strings.PluginEquipement4 = "R\195\188stung";
	Strings.PluginEquipement5 = "Kopf";
	Strings.PluginEquipement6 = "Brust";
	Strings.PluginEquipement7 = "Beine";
	Strings.PluginEquipement8 = "Handschuhe";
	Strings.PluginEquipement9 = "F\195\188sse";
	Strings.PluginEquipement10 = "Schultern";
	Strings.PluginEquipement11 = "R\195\188cken";
	Strings.PluginEquipement12 = "Linkes Armband";
	Strings.PluginEquipement13 = "Rechtes Armband";
	Strings.PluginEquipement14 = "Halskette";
	Strings.PluginEquipement15 = "Linker Ring";
	Strings.PluginEquipement16 = "Rechter Ring";
	Strings.PluginEquipement17 = "Linker Ohrring";
	Strings.PluginEquipement18 = "Rechter Ohrring";
	Strings.PluginEquipement19 = "Beutel";
	Strings.PluginEquipement20 = "Prim\195\164rwaffe";
	Strings.PluginEquipement21 = "Sekund\195\164rwaffe";
	Strings.PluginEquipement22 = "Fernwaffen";
	Strings.PluginEquipement23 = "Handwerkzeug";
	Strings.PluginEquipement24 = "Klassenfeld";
	------------------------------------------------------------------------------------------
	-- cash window --
	------------------------------------------------------------------------------------------
	Strings.PluginCashWindow1 = "Gesamtsumme aller Charaktere";
	Strings.PluginCashWindow2 = "Gesamtsumme ";
	Strings.PluginCashWindow3 = "Sitzungssumme ";
	Strings.PluginCashWindow4 = "Eingenommen ";
	Strings.PluginCashWindow5 = "Ausgegeben ";
	Strings.PluginCashWindow6 = "Gesamt ";
	Strings.PluginCashWindow7 = "T\195\164gliche Summe";
	------------------------------------------------------------------------------------------
	-- wallet window --
	------------------------------------------------------------------------------------------
	Strings.PluginWalletWindow1 = "Gemeinsames Konto";
	Strings.PluginWalletWindow2 = "Anzahl der Objekte im Geldbeutel";
	Strings.PluginWalletWindow3 = "Geldbeutel von ";
	Strings.PluginWalletWindow4 = "Geldbeutel noch nicht gespeichert, bitte diesen Charakter einloggen";
	Strings.PluginWalletWindow5 = "HdRO-Punkte";
	Strings.PluginWalletWindow6 = "HdRO-Punkte";
	Strings.PluginWalletWindow7 = "Speichern";
	Strings.PluginWalletWindow8 = "Aktualisieren";
	------------------------------------------------------------------------------------------
	-- backpack --
	------------------------------------------------------------------------------------------
	Strings.PluginBag1 = "Rucksack von ";
	Strings.PluginBag2 = "Rucksack Platz : ";
	------------------------------------------------------------------------------------------
	-- add new --
	------------------------------------------------------------------------------------------
	Strings.PluginAddNew = "Neues Konto hinzuf\195\188gen";
	Strings.PluginAddNew2 = "Neu hinzuf\195\188gen";
	------------------------------------------------------------------------------------------
	-- vocations --
	------------------------------------------------------------------------------------------
	Strings.PluginVocation1 = "Entdecker";
	Strings.PluginVocation2 = "Kesselflicker";
	Strings.PluginVocation3 = "Freibauer";
	Strings.PluginVocation4 = "Historiker";
	Strings.PluginVocation5 = "Waffenbauer";
	Strings.PluginVocation6 = "Waldh\195\188ter";
	Strings.PluginVocation7 = "R\195\188stungsschmied";
	Strings.PluginVocation8 = "Beruf";
	------------------------------------------------------------------------------------------
	-- race --
	------------------------------------------------------------------------------------------
	Strings.PluginRace1 = "Hobbit";
	Strings.PluginRace2 = "Mensch";
	Strings.PluginRace3 = "Elb";
	Strings.PluginRace4 = "Beorninger";
	Strings.PluginRace5 = "Stark-Axt-Zwerg";
	Strings.PluginRace6 = "Zwerg";
	Strings.PluginRace7 = "Hochelb";
	Strings.PluginRace8 = "Orc";
	Strings.PluginRace9 = "Spinne";
	Strings.PluginRace10 = "Uruk";
	Strings.PluginRace11 = "Warg";
	------------------------------------------------------------------------------------------
	-- classe --
	------------------------------------------------------------------------------------------
	Strings.PluginClasse1 = "J\195\164ger";
	Strings.PluginClasse2 = "Barde";
	Strings.PluginClasse3 = "Beorninger";
	Strings.PluginClasse4 = "Hauptmann";
	Strings.PluginClasse5 = "Runenbewahrer";
	Strings.PluginClasse6 = "Schurke";
	Strings.PluginClasse7 = "Kundinger";
	Strings.PluginClasse8 = "W\195\164chter";
	Strings.PluginClasse9 = "Waffenmeister";
	Strings.PluginClasse10 = "H\195\188ter";
	Strings.PluginClasse11 = "Schnitter";
	Strings.PluginClasse12 = "Saboteur";
	Strings.PluginClasse13 = "Weberspinne";
	Strings.PluginClasse14 = "Schwarzpfeil";
	Strings.PluginClasse15 = "Kreigsanf\195\188hrer";
	Strings.PluginClasse16 = "Pirscher";
	------------------------------------------------------------------------------------------
	-- stats window --
	------------------------------------------------------------------------------------------
	Strings.PluginStats = "Charakter";
	Strings.PluginStats1 = "Macht";
	Strings.PluginStats2 = "Beweglichkeit";
	Strings.PluginStats3 = "Vitalit\195\164t";
	Strings.PluginStats4 = "Wille";
	Strings.PluginStats5 = "Schicksal";
	Strings.PluginStats6 = "Stufe";
	Strings.PluginStats7 = "Rasse";
	Strings.PluginStats8 = "Klasse";
	Strings.PluginStats9 = "Geschlecht";
	Strings.PluginStats10 = "Charakter noch nicht gespeichert, bitte einmal einloggen";
	Strings.PluginStats11 = "Statistiken";
	Strings.PluginStats12 = "Angriff";
	Strings.PluginStats13 = "Kritischer Treffer";
	Strings.PluginStats14 = "Finesse";
	Strings.PluginStats15 = "Physische Beherrschung";
	Strings.PluginStats16 = "Taktische Beherrschung";
	Strings.PluginStats17 = "Schadensreduzierungen";
	Strings.PluginStats18 = "Verteidigung";
	Strings.PluginStats19 = "Resistenz";
	Strings.PluginStats20 = "Entgehen";
	Strings.PluginStats21 = "Blocken";
	Strings.PluginStats22 = "Parieren";
	Strings.PluginStats23 = "Ausweichen";
	Strings.PluginStats24 = "Heilung";
	Strings.PluginStats25 = "ausgehende Heilung";
	Strings.PluginStats26 = "eingehende Heilung";
	Strings.PluginStats27 = "Physisch";
	Strings.PluginStats28 = "Taktisch";
	Strings.PluginStats29 = "Kritische Verteidigung";
	Strings.PluginStats30 = "Chance";
	Strings.PluginStats31 = "Fernkampf Beherrschung";
	Strings.PluginStats32 = "Orc-craft";
	Strings.PluginStats33 = "Fell-wrought";
	Strings.PluginStats34 = "Verheerende Bewertung";
	Strings.PluginStats35 = "Gelb - capped";
	Strings.PluginStats36 = "Orange - T2 capped";
	Strings.PluginStats37 = "Rot - neu T2 capped";
	Strings.PluginStats38 = "Lila - neu T3-5 capped";
	------------------------------------------------------------------------------------------
	-- gendre window --
	------------------------------------------------------------------------------------------
	Strings.PluginGendreText = "Geschlecht definieren";
	Strings.PluginGendreText1 = "Mann";
	Strings.PluginGendreText2 = "Frau";
	------------------------------------------------------------------------------------------
	-- option window --
	------------------------------------------------------------------------------------------
	Strings.PluginOptionsText = "AltHolic Optionen";
	Strings.PluginOption1 = "Anzeige der Optionen zum Laden und Speichern";
	Strings.PluginOption2 = " Benachrichtigungen anzeigen";
	Strings.PluginOption3 = "Sitzungssumme anzeigen";
	Strings.PluginOption4 = " Anzeige";
	Strings.PluginOption5 = "Klassentaschen zeigen";
	Strings.PluginOption6 = "Geschlecht definieren";
	Strings.PluginOption7 = "\195\164ndert die Hintergrundfarbe f\195\188r die Haltbarkeit der Ausr\195\188stung";
	Strings.PluginOption8 = "Gesamtsumme anzeigen";
	Strings.PluginOption9 = "Verdiente Rufpunkte anzeigen";
	Strings.PluginOption10 = "Verdiente HdRO-Punkte anzeigen";
	Strings.PluginOption11 = "Ausf\195\188hrlicher Modus";
	Strings.PluginOption12 = "Verm\195\182gensanzeige";
	Strings.PluginOption13 = "Rucksackanzeige";
	Strings.PluginOption14 = "Haltbarkeitsanzeige";
	Strings.PluginOption15 = "Chat-Anzeige";
	Strings.PluginOption16 = "Symbol";
	Strings.PluginOption17 = "Gr\195\182\195\159e des anzuzeigenden Symbols";
	Strings.PluginOption18 = " Winziges Symbol 32x32";
	Strings.PluginOption19 = " Winziges Symbol 24x24";
	Strings.PluginOption20 = " Winziges Symbol 16x16";
	Strings.PluginOption21 = " Standardsymbol";
	Strings.PluginOptionValidate = "\195\164nderungen vornehmen";
	Strings.PluginOptionShowWindow = "Optionsfenster anzeigen";
	Strings.PluginOptionNotificationsDeactivated = "Benachrichtigungen deaktiviert";
	Strings.PluginOptionNotificationsActivated = "Benachrichtigungen aktiviert";
	Strings.PluginOptionSpentCashActivated = "Die Anzeige f\195\188r ausgegebenes Geld ist deaktiviert";
	Strings.PluginOptionSpentCashDeactivated = "Anzeige f\195\188r ausgegebenes Geld aktiviert";
	------------------------------------------------------------------------------------------
	-- reputations text --
	------------------------------------------------------------------------------------------
	Strings.reputText1 = "Punkte";
	Strings.reputText2 = "HdRO-Punkte erh\195\182ht um";
	------------------------------------------------------------------------------------------
	-- reputations position male --
	------------------------------------------------------------------------------------------
	Strings.reputposition100 = "Rufstufen";
	Strings.reputposition0 = "W\195\164hlt einen Titel";
	Strings.reputposition = "Maximale Geltung erreicht";
	Strings.reputposition1 = "Feind";
	Strings.reputposition2 = "Au\195\159enseiter";
	Strings.reputposition3 = "Neutral";
	Strings.reputposition4 = "Bekannter";
	Strings.reputposition5 = "Freund";
	Strings.reputposition6 = "Verb\195\188ndeter";
	Strings.reputposition7 = "Verwandter";
	Strings.reputposition8 = "Respektiert";
	Strings.reputposition9 = "Verehrt";
	Strings.reputposition10 = "Gefeiert";

	Strings.reputposition11 = "Eingeweihter";
	Strings.reputposition12 = "Lehrling";
	Strings.reputposition13 = "Geselle";
	Strings.reputposition14 = "Experte";
	Strings.reputposition15 = "Virtuose";
	Strings.reputposition16 = "Meister";
	Strings.reputposition17 = "Ost-Emnet-Meister der Gilde";
	Strings.reputposition18 = "West-Emnet-Meister der Gilde";
	Strings.reputposition19 = "Ehrenmeister der Gilde";

	Strings.reputposition20 = "Rookie";
	Strings.reputposition21 = "Minor Leaguer";
	Strings.reputposition22 = "Major Leaguer";
	Strings.reputposition23 = "All-star";
	Strings.reputposition24 = "Hall of Famer";
	------------------------------------------------------------------------------------------
	-- reputations position female --
	------------------------------------------------------------------------------------------
	Strings.reputpositionFemale1 = "Feindin";
	Strings.reputpositionFemale2 = "Au\195\159enseiterin";
	Strings.reputpositionFemale3 = "Neutral";
	Strings.reputpositionFemale4 = "Bekannte";
	Strings.reputpositionFemale5 = "Freundin";
	Strings.reputpositionFemale6 = "Verb\195\188ndete";
	Strings.reputpositionFemale7 = "Verwandte";
	Strings.reputpositionFemale8 = "Respektiert";
	Strings.reputpositionFemale9 = "Verehrt";
	Strings.reputpositionFemale10 = "Gefeiert";

	Strings.reputpositionFemale11 = "Eingeweihte";
	Strings.reputpositionFemale12 = "Lehrling";
	Strings.reputpositionFemale13 = "Geselle";
	Strings.reputpositionFemale14 = "Expertin";
	Strings.reputpositionFemale15 = "Virtuose";
	Strings.reputpositionFemale16 = "Meisterin";
	Strings.reputpositionFemale17 = "Ost-Emnet-Meisterin der Gilde";
	Strings.reputpositionFemale18 = "West-Emnet-Meisterin der Gilde";
	Strings.reputpositionFemale19 = "Ehrenmeisterin der Gilde";
	------------------------------------------------------------------------------------------
	-- reputations names --
	------------------------------------------------------------------------------------------
	Strings.reputname1 = "Menschen von Bree";
	Strings.reputname2 = "Thorins Halle";
	Strings.reputname3 = "Die Mathom-Gesellschaft";
	Strings.reputname4 = "Waldl\195\164ufer von Esteld\195\173n";
	Strings.reputname5 = "Elben von Bruchtal";
	Strings.reputname6 = "Die Eldgang";
	Strings.reputname7 = "Rat des Nordens";
	Strings.reputname8 = "Die H\195\188ter von Ann\195\154minas";
	Strings.reputname9 = "Lossoth von Forochel";
	Strings.reputname10 = "Die Eglain";
	Strings.reputname11 = "W\195\164chter der eisernen Garnison";
	Strings.reputname12 = "Minenbauer der Eisernen Garnison";
	Strings.reputname13 = "Algraig, Menschen von Enedwaith";
	Strings.reputname14 = "Die Graue Schar";
	Strings.reputname15 = "Galadhrim";
	Strings.reputname16 = "Malledhrim";
	Strings.reputname17 = "Die Reiter von Stangard";
	Strings.reputname18 = "Helden der Limklar-Schlucht";
	Strings.reputname19 = "Menschen aus Dunland";
	Strings.reputname20 = "Th\195\169odreds Reiter";
	Strings.reputname21 = "Goldschmiedegilde";
	Strings.reputname22 = "Kochgilde";
	Strings.reputname23 = "Gelehrtengilde";
	Strings.reputname24 = "Schneidergilde";
	Strings.reputname25 = "Drechslergilde";
	Strings.reputname26 = "Waffenschmiedegilde";
	Strings.reputname27 = "Schmiedegilde";
	Strings.reputname28 = "Menschen des Entwasser-Tals";
	Strings.reputname29 = "Menschen der Norhofen";
	Strings.reputname30 = "Menschen der Suthofen";
	Strings.reputname31 = "Menschen der Steppe";
	Strings.reputname32 = "Bewohner der Wildermark";
	Strings.reputname33 = "\195\156berlebende der Wildermark";
	Strings.reputname34 = "Die Eorlingas";
	Strings.reputname35 = "Die Helmingas";
	Strings.reputname36 = "Die Ents des Fangorn-Walds";
	Strings.reputname37 = "Dol Amroth";
	Strings.reputname38 = "Dol Amroth - Waffenkammer";
	Strings.reputname39 = "Dol Amroth - Bank";
	Strings.reputname40 = "Dol Amroth - Landungsbr\195\188cken";
	Strings.reputname41 = "Dol Amroth - Gro\195\159e Halle";
	Strings.reputname42 = "Dol Amroth - Bibliothek";
	Strings.reputname43 = "Dol Amroth - Lagerhaus";
	Strings.reputname44 = "Dol Amroth - Maurerei";
	Strings.reputname45 = "Dol Amroth - Schwanenritter";
	Strings.reputname46 = "Bewohner des Ringl\195\179tals";
	Strings.reputname47 = "Bewohner von Dor-en-Ernil";
	Strings.reputname48 = "Bewohner von Lebennin";
	Strings.reputname49 = "Pelargir";
	Strings.reputname50 = "Waldl\195\164ufer von Ithilien";
	Strings.reputname51 = "Verteidiger von Minas Tirith";
	Strings.reputname52 = "Reiter von Rohan";
	Strings.reputname53 = "Heer des Westens";
	Strings.reputname54 = "Heer des Westens: R\195\188stung";
	Strings.reputname55 = "Heer des Westens: Waffen";
	Strings.reputname56 = "Heer des Westens: Vorr\195\164te";
	Strings.reputname57 = "Eroberung von Gorgoroth";
	Strings.reputname58 = "Feind des s\195\188dlichen Fushaum Bal";
	Strings.reputname59 = "Feind des n\195\182rdlichen Fushaum Bal";
	Strings.reputname60 = "Rothimmel-Sippe";
	Strings.reputname61 = "Zwerge vom Erebor";
	Strings.reputname62 = "Elben von Felegoth";
	Strings.reputname63 = "Menschen von Thal";
	Strings.reputname64 = "H\195\188hnerjagd-Liga von Eriador";
	Strings.reputname65 = "Die Bier-Genossenschaft";
	Strings.reputname66 = "Die Gasthausliga";
	Strings.reputname67 = "Expedition ins Graue Gebirge";
	Strings.reputname68 = "Wildes Volk";
	Strings.reputname69 = "Die Gro\195\159e Allianz";
	Strings.reputname70 = "Die Wei\195\159e Schar";
	Strings.reputname71 = "Die R\195\188ckeroberung von Minas Ithil";
	Strings.reputname72 = "B\195\188ndnis-System";
	Strings.reputname73 = "Durins Volk";
	Strings.reputname74 = "Das K\195\182nigreich Gondor";
	Strings.reputname75 = "Der Hof von Lothl\195\179rien";
	Strings.reputname76 = "Hobbits der Gef\195\164hrten";
	Strings.reputname77 = "Der Bund der Axt";
	Strings.reputname78 = "Bruderschaft der Holzf\195\164ller";
	Strings.reputname79 = "Die Gabil'akk\195\162";
	-- new from here
	Strings.reputname80 = "Bewohner der Ostfold";
	Strings.reputname81 = "Bewohner von K\195\182nigsstatt";
	Strings.reputname82 = "Gemeinschaft der Beamten";
	Strings.reputname83 = "Gemeinschaft der Schmiede";
	Strings.reputname84 = "Gemeinschaft der Bauarbeiter";
	Strings.reputname85 = "Ud\195\155n";
	Strings.reputname86 = "Dor Amarth";
	Strings.reputname87 = "Talath \195\154rui";
	Strings.reputname88 = "Agarnaith";
	Strings.reputname89 = "Besch\195\188tzer des Wilderlands";
	-- to translate from here
end