------------------------------------------------------------------------------------------
-- OptionWindow file
-- Written by Homeopatix
-- 7 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- define size of the window
------------------------------------------------------------------------------------------
local windowWidth = 0;
local windowHeight = 0;

if(playerAlignement == 1)then
	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		windowWidth = 400;
		windowHeight = 780;
	elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
		windowWidth = 400;
		windowHeight = 740;
	elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
		windowWidth = 400;
		windowHeight = 670;
	end
else
	windowWidth = 400;
	windowHeight = 500;
end
------------------------------------------------------------------------------------------
-- create the options window
------------------------------------------------------------------------------------------
function GenerateHelpWindow(value)
		HelpWindow=Turbine.UI.Lotro.GoldWindow(); 
		HelpWindow:SetSize(windowWidth, windowHeight); 
		if(value == 1)then
			HelpWindow:SetText(Strings.PluginTitreHelpWindow); 
		elseif(value == 2)then
			HelpWindow:SetText(Strings.PluginTitreHelpWindow2); 
		elseif(value == 3)then
			HelpWindow:SetText(Strings.PluginTitreHelpWindow3); 
		end
		HelpWindow:SetPosition((Turbine.UI.Display:GetWidth()-HelpWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-HelpWindow:GetHeight())/2);

		HelpWindow.Message=Turbine.UI.Label(); 
		HelpWindow.Message:SetParent(HelpWindow); 
		HelpWindow.Message:SetSize(150,10); 
		HelpWindow.Message:SetPosition(windowWidth/2 - 75, windowHeight - 17 ); 
		HelpWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		HelpWindow.Message:SetText(Strings.PluginText); 

		HelpWindow:SetZOrder(1000);
		HelpWindow:SetWantsKeyEvents(true);
		HelpWindow:SetVisible(false);
		------------------------------------------------------------------------------------------
		-- center window
		------------------------------------------------------------------------------------------
		------------------------------------------------------------------------------------------
		-- -- personal house location --
		------------------------------------------------------------------------------------------

			HelpWindow.Message=Turbine.UI.Label(); 
			HelpWindow.Message:SetParent(HelpWindow); 
			HelpWindow.Message:SetSize(370, 700); 
			if(value == 1)then
				HelpWindow.Message:SetPosition(15, 20 ); 
			elseif(value == 2)then
				HelpWindow.Message:SetPosition(15, 60 );
			elseif(value == 3)then
				HelpWindow.Message:SetPosition(25, 60 );
			end
			HelpWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft); 
			HelpWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			if(value == 1)then
				HelpWindow.Message:SetText( Strings.PluginHelpWindow1 ..
										Strings.PluginHelpWindow2 ..
										Strings.PluginHelpWindow3 ..
										Strings.PluginHelpWindow4 ..
										Strings.PluginHelpWindow5 ..
										Strings.PluginHelpWindow6 ..
										Strings.PluginHelpWindow7 ..
										Strings.PluginHelpWindow8 ..
										Strings.PluginHelpWindow9
										);
			elseif(value == 2)then
				HelpWindow.Message:SetText( Strings.PluginHelpWindow10 ..
										Strings.PluginHelpWindow11 ..
										Strings.PluginHelpWindow12 ..
										Strings.PluginHelpWindow13 ..
										Strings.PluginHelpWindow14
										);
			elseif(value == 3)then
				HelpWindow.Message:SetText( Strings.PluginHelpWindow15 ..
										Strings.PluginHelpWindow16 ..
										Strings.PluginHelpWindow17 ..
										Strings.PluginHelpWindow18 ..
										Strings.PluginHelpWindow19 ..
										Strings.PluginHelpWindow20 ..
										Strings.PluginHelpWindow21
										);
			end
			 
			HelpWindowButton = Turbine.UI.Lotro.GoldButton();
			HelpWindowButton:SetParent( HelpWindow );
			HelpWindowButton:SetPosition(windowWidth/2 - 125, windowHeight - 40);
			HelpWindowButton:SetSize( 300, 20 );
			HelpWindowButton:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			HelpWindowButton:SetText( Strings.PluginButtonHelpWindow );
			HelpWindowButton:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
			HelpWindowButton:SetVisible(true);
			HelpWindowButton:SetMouseVisible(true);

			CloseButtonHelp();
			ClosingTheHelpWindow();
end
------------------------------------------------------------------------------------------
-- boutton valider
------------------------------------------------------------------------------------------
function CloseButtonHelp()
		HelpWindowButton.MouseClick = function(sender, args)
				------------------------------------------------------------------------------------------
				-- checking the checkbox --
				------------------------------------------------------------------------------------------
				HelpWindow:SetVisible(false);
		end
end

------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
function ClosingTheHelpWindow()
	function HelpWindow:Closing(sender, args)
		HelpWindow:SetVisible(false);
	end
end