------------------------------------------------------------------------------------------
-- UIshowReput file
-- Written by Homeopatix
-- 3 mars 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create the repuattion window
------------------------------------------------------------------------------------------
function CreateUIShowReput(NamePlayerToShow, ShowReput)	
	local windowWidth = 420;
	local windowHeight = 0;

	if(ShowReput == nil)then
		settings["ShowHideReput"]["value"] = false;
	else
		settings["ShowHideReput"]["value"] = ShowReput;
	end

	UIShowReput=Turbine.UI.Lotro.GoldWindow(); 
	if(settings["nameAccount"]["account1"]["name"] ~= "")then
		windowHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 20) + 340;
	else
		windowHeight = 440;
	end
	UIShowReput:SetSize(windowWidth, windowHeight); 
	UIShowReput:SetText( "Reputation for " ..  NamePlayerToShow); 
	UIShowReput:SetPosition((Turbine.UI.Display:GetWidth()-UIShowReput:GetWidth())/2,(Turbine.UI.Display:GetHeight()-UIShowReput:GetHeight())/2); 


	listbox = Turbine.UI.ListBox();
    listbox:SetParent( UIShowReput );
    --listbox:SetBackColor( Turbine.UI.Color.Red );
	listbox:SetSize(windowWidth - 45, windowHeight - 140);
	listbox:SetPosition(20, 70);
	listbox:IsMouseVisible(true);
	listbox:SetZOrder(20);


	UIShowReput.Message=Turbine.UI.Label(); 
	UIShowReput.Message:SetParent(UIShowReput); 
	UIShowReput.Message:SetSize(150,10); 
	UIShowReput.Message:SetPosition(UIShowReput:GetWidth()/2 - 75, UIShowReput:GetHeight() - 20); 
	UIShowReput.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	UIShowReput.Message:SetText(Strings.PluginText); 
	UIShowReput:SetZOrder(10);
	UIShowReput:SetVisible(false);
	UIShowReput:SetWantsKeyEvents(true);
	------------------------------------------------------------------------------------------
	--- button help
	------------------------------------------------------------------------------------------
	buttonDefineHelp = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHelp:SetParent( UIShowReput );
	buttonDefineHelp:SetPosition(windowWidth - 45, 35);
	buttonDefineHelp:SetSize( 20, 20 );
	buttonDefineHelp:SetVisible(true);
	buttonDefineHelp:SetMouseVisible(true);

	centerLabelHelp = Turbine.UI.Label();
	centerLabelHelp:SetParent(buttonDefineHelp);
	centerLabelHelp:SetPosition( 0, 0 );
	centerLabelHelp:SetSize( 20, 20  );
	centerLabelHelp:SetBackground(ResourcePath .. "Help.tga");
	centerLabelHelp:SetZOrder(-1);
	centerLabelHelp:SetMouseVisible(false);

	helpButtonLabel = Turbine.UI.Extensions.SimpleWindow();
	helpButtonLabel:SetParent( UIShowReput );
	helpButtonLabel:SetPosition (windowWidth - 20, 35);
	helpButtonLabel:SetSize( 180, 30 );
	helpButtonLabel:SetZOrder(10000);
	helpButtonLabel:SetVisible(false);
	helpButtonLabel:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLabelHelp = Turbine.UI.Label();
	centerLabelBLabelHelp:SetParent(helpButtonLabel);
	centerLabelBLabelHelp:SetPosition( 2, 2 );
	centerLabelBLabelHelp:SetSize( 176, 26  );
	centerLabelBLabelHelp:SetText( Strings.PluginLabelHelp );
	centerLabelBLabelHelp:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLabelHelp:SetBackColor( Turbine.UI.Color( .9, .1, .4, .9) );
	centerLabelBLabelHelp:SetZOrder(-1);

	buttonDefineHelp.MouseEnter = function()
		helpButtonLabel:SetVisible(true);
	end

	buttonDefineHelp.MouseLeave = function()
		helpButtonLabel:SetVisible(false);
	end

	buttonDefineHelp.MouseClick = function(sender, args)
		GenerateHelpWindow(3);
		HelpWindow:SetVisible(true);
	end

	------------------------------------------------------------------------------------------
	--- button hide or show
	------------------------------------------------------------------------------------------
	buttonShowReput = Turbine.UI.Extensions.SimpleWindow();
	buttonShowReput:SetParent( UIShowReput );
	buttonShowReput:SetPosition(25, 35);
	buttonShowReput:SetSize( 16, 16 );
	buttonShowReput:SetVisible(true);
	buttonShowReput:SetMouseVisible(true);

	centerLabelShowReput = Turbine.UI.Label();
	centerLabelShowReput:SetParent(buttonShowReput);
	centerLabelShowReput:SetPosition( 0, 0 );
	centerLabelShowReput:SetSize( 16, 16  );
	if(settings["ShowHideReput"]["value"] == false)then
		centerLabelShowReput:SetBackground(0x41007E27); -- plus
	else
		centerLabelShowReput:SetBackground(0x41007E26); -- minus
	end
	centerLabelShowReput:SetZOrder(-1);
	centerLabelShowReput:SetMouseVisible(false);

	ShowReputButtonLabel = Turbine.UI.Extensions.SimpleWindow();
	ShowReputButtonLabel:SetParent( UIShowReput );
	ShowReputButtonLabel:SetPosition (50, 20);
	ShowReputButtonLabel:SetSize( 180, 30 );
	ShowReputButtonLabel:SetZOrder(10000);
	ShowReputButtonLabel:SetVisible(false);
	ShowReputButtonLabel:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLabelShowReput = Turbine.UI.Label();
	centerLabelBLabelShowReput:SetParent(ShowReputButtonLabel);
	centerLabelBLabelShowReput:SetPosition( 2, 2 );
	centerLabelBLabelShowReput:SetSize( 176, 26  );
	centerLabelBLabelShowReput:SetText( "Hide or show unknow reput" );
	centerLabelBLabelShowReput:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLabelShowReput:SetBackColor( Turbine.UI.Color( .9, .1, .4, .9) );
	centerLabelBLabelShowReput:SetZOrder(-1);

	buttonShowReput.MouseEnter = function()
		ShowReputButtonLabel:SetVisible(true);
	end

	buttonShowReput.MouseLeave = function()
		ShowReputButtonLabel:SetVisible(false);
	end

	buttonShowReput.MouseClick = function(sender, args)
		if(settings["ShowHideReput"]["value"] == true)then
			settings["ShowHideReput"]["value"] = false;
		else
			settings["ShowHideReput"]["value"] = true;
		end
		UIShowReput:SetVisible(false);
		CreateUIShowReput(NamePlayerToShow, settings["ShowHideReput"]["value"]);
		UIShowReput:SetVisible(true);
	end
	------------------------------------------------------------------------------------------
	--- display of the reput
	------------------------------------------------------------------------------------------
	--posx = 10;
	--posy = 20;


	local posx = 10;
	local posy = 5;

	if( not PlayerReput[NamePlayerToShow])then
		LabelNameFactionNoCo=Turbine.UI.Label(); 
		LabelNameFactionNoCo:SetParent(UIShowReput); 
		LabelNameFactionNoCo:SetSize(350, 100); 
		LabelNameFactionNoCo:SetPosition(25, 350); 
		LabelNameFactionNoCo:SetText(Strings.PluginStats10); 
		LabelNameFactionNoCo:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		LabelNameFactionNoCo:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		LabelNameFactionNoCo:SetForeColor(Turbine.UI.Color.White);
    else
	--[[

		local SizeOfMap = 0;
		if(settings["ShowHideReput"]["value"] == true)then
			if(ReturnNbrFactionsPlayerToShow(NamePlayerToShow) < nbrFactions)then
				SizeOfMap = SizeOfMap + ((ReturnNbrFactionsPlayerToShow(NamePlayerToShow) - ReputToEnleve(NamePlayerToShow)) * 55) + 30;
			else
				SizeOfMap = SizeOfMap + ((nbrFactions - ReputToEnleve(NamePlayerToShow)) * 55) + 30;
			end
		else
			SizeOfMap = SizeOfMap + (ReturnReputValue(NamePlayerToShow) * 55) + 30;
		end

		-- debug
		--Turbine.Shell.WriteLine("SizeOfMap : " .. SizeOfMap .. " showreput : " .. tostring(ShowReput) .. 
		--"reput to enleve" .. tostring(ReputToEnleve(NamePlayerToShow)));


		------------------------------------------------------------------------------------------
		--- scrollbar handler
		------------------------------------------------------------------------------------------
		-- create the viewport control all it needs is size and position as it is simply used to create viewable bounds for our map
		
		viewport1=Turbine.UI.Control();
		viewport1:SetParent(UIShowReput);
		viewport1:SetSize(windowWidth - 45, windowHeight - 130);

		viewport1:SetPosition(10, 60);
		-- create the map content for our viewport, again, it only needs size and position as it is just a container for the grid of images
		viewport1.map=Turbine.UI.Control();
		viewport1.map:SetParent(viewport1); -- set the map as a child of the viewport so that it will be bounded by it for drawing purposes
		viewport1.map:SetSize(windowWidth - 45, SizeOfMap); -- we'll use a 5x4 grid but this obviously could be expanded, or even set up as a recycled array of controls
		viewport1.map:SetPosition(0,0); -- we'll start off in the upper left
	]]--
		LabelNameFaction = {};
		reputNotToDisplay = true;

		for i=1, ReturnNbrFactionsPlayerToShow(NamePlayerToShow) do 

			listItem = Turbine.UI.Control();
			listItem:SetSize( windowWidth - 45, 60 );
			listItem:SetMouseVisible(true);

			if(PlayerDatas[NamePlayerToShow].align == 1)then

			--- remove the reputation de guilde si pas la professions
			----
				if(PlayerDatas[NamePlayerToShow].voc == 1)then
					if(i == 21 or i == 22 or i == 23 or i == 25 or i == 26 or i == 27)then
						reputNotToDisplay = false;
					else
						reputNotToDisplay = true;
					end
				end
				if(PlayerDatas[NamePlayerToShow].voc == 2)then
					if(i == 23 or i == 24 or i == 25 or i == 26 or i == 27)then
						reputNotToDisplay = false;
					else
						reputNotToDisplay = true;
					end
				end
				if(PlayerDatas[NamePlayerToShow].voc == 3)then
					if(i == 21 or i == 23 or i == 25 or i == 26 or i == 27)then
						reputNotToDisplay = false;
					else
						reputNotToDisplay = true;
					end
				end
				if(PlayerDatas[NamePlayerToShow].voc == 4)then
					if(i == 21 or i == 22 or i == 24 or i == 25 or i == 27)then
						reputNotToDisplay = false;
					else
						reputNotToDisplay = true;
					end
				end
				if(PlayerDatas[NamePlayerToShow].voc == 5)then
					if(i == 21 or i == 22 or i == 23 or i == 24 or i == 27)then
						reputNotToDisplay = false;
					else
						reputNotToDisplay = true;
					end
				end
				if(PlayerDatas[NamePlayerToShow].voc == 6)then
					if(i == 21 or i == 22 or i == 23 or i == 24 or i == 26 or i == 27)then
						reputNotToDisplay = false;
					else
						reputNotToDisplay = true;
					end
				end
				if(PlayerDatas[NamePlayerToShow].voc == 7)then
					if(i == 21 or i == 22 or i == 23 or i == 25 or i == 26)then
						reputNotToDisplay = false;
					else
						reputNotToDisplay = true;
					end
				end
			----
				-- debug purpose
				--if(i == 22)then
					--Turbine.Shell.WriteLine(tostring(ShowReput));
					--Turbine.Shell.WriteLine(tostring(tonumber(PlayerReput[NamePlayerToShow]["Reput" .. i].value)));
				--end

				if(reputNotToDisplay == true)then
					if(ShowReput == true or tonumber(PlayerReput[NamePlayerToShow]["Reput" .. i].value) ~= 0 or
						tonumber(PlayerReput[NamePlayerToShow]["Reput" .. i].position) == 9)then
						local lvlMax = false;
						local colorReput = "";
						------------------------------------------------------------------------------------------
						--- display the name
						------------------------------------------------------------------------------------------
						LabelNameFaction[i]=Turbine.UI.Label(); 
						LabelNameFaction[i]:SetParent(listItem); 
						LabelNameFaction[i]:SetSize(350, 30); 
						LabelNameFaction[i]:SetPosition(posx, posy); 
						LabelNameFaction[i]:SetText(Strings["reputname" .. i]); 
						LabelNameFaction[i]:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
						LabelNameFaction[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
						LabelNameFaction[i]:SetForeColor(Turbine.UI.Color.Gold);
						------------------------------------------------------------------------------------------
						--- mouse click handler for editing faction
						------------------------------------------------------------------------------------------
						if(NamePlayerToShow == PlayerName)then
							LabelNameFaction[i].MouseClick = function(sender, args)
								CreateAddNewWindowReput(Strings["reputname" .. i], NamePlayerToShow, i);
								AltHolicAddnewWindowReput:SetVisible(true);
							end
						end

						posy = posy + 15;

						------------------------------------------------------------------------------------------
						--- reputation calculator for display
						------------------------------------------------------------------------------------------
						local reputVal = 0;
						local nextValReput = 0;
						local percentReput = 0;
						local reputationValueMax = {20000,10000,0,10000,30000,55000,85000,130000,190000,280000,480000};
						local reputationValueLevel = {10000,10000,0,10000,20000,25000,30000,45000,60000,90000,200000};
						local reputationValueLevel69 = {10000,20000,20000,1};
						local reputationValueLevel64 = {10000,20000,25000,30000};
						local reputationValueLevel70 = {10000, 15000, 20000, 20000, 20000, 20000, 30000, 1};
						local reputationValueLevel71 = {4000,6000,8000,10000,12000,14000,16000,18000,20000,1};
						local reputationValueLevel79 = {0,10000,20000,25000,30000,45000};

						if(i == 69)then
							reputationValueLevel = reputationValueLevel69;
						elseif(i == 70)then
							reputationValueLevel = reputationValueLevel70;
							if(PlayerReput[NamePlayerToShow]["Reput" .. i].position >= 7)then
								PlayerReput[NamePlayerToShow]["Reput" .. i].position = PlayerReput[NamePlayerToShow]["Reput" .. i].position - 3;
							end
						elseif(i == 71)then
							reputationValueLevel = reputationValueLevel71;
						elseif(i == 79)then
							reputationValueLevel = reputationValueLevel79;
						elseif(i == 64)then
							reputationValueLevel = reputationValueLevel64;
						end


						if(PlayerReput[NamePlayerToShow]["Reput" .. i].position ~= nil)then
							if(PlayerReput[NamePlayerToShow]["Reput" .. i].position >= 3)then
								nextValReput = reputationValueLevel[PlayerReput[NamePlayerToShow]["Reput" .. i].position + PlayerReput[PlayerName]["Reput" .. i].genre];
								colorReput = ResourcePath .. "BlueBars.tga";
							elseif(PlayerReput[NamePlayerToShow]["Reput" .. i].position == 2)then
								nextValReput = reputationValueLevel[PlayerReput[NamePlayerToShow]["Reput" .. i].position];
								-- debug chasse au poulet
								if(i == 64)then
									colorReput = ResourcePath .. "BlueBars.tga";
								else
									colorReput = ResourcePath .. "PurpleBars.tga";
								end
							else
								nextValReput = reputationValueLevel[PlayerReput[NamePlayerToShow]["Reput" .. i].position];
								colorReput = ResourcePath .. "RedBars.tga";
							end
						else
							PlayerReput[NamePlayerToShow]["Reput" .. i].position = 0;
						end


						if( PlayerReput[NamePlayerToShow]["Reput" .. i].value == 
						reputationValueLevel[PlayerReput[NamePlayerToShow]["Reput" .. i].position + PlayerReput[PlayerName]["Reput" .. i].genre])then
							lvlMax = true;
							colorReput = ResourcePath .. "GreenBars.tga";
							nextValReput = reputationValueLevel[PlayerReput[NamePlayerToShow]["Reput" .. i].position];
						end

						if(PlayerReput[NamePlayerToShow]["Reput" .. i].value ~= nil and PlayerReput[NamePlayerToShow]["Reput" .. i].position > 0 and nextValReput ~= nil)then
							percentReput = ((PlayerReput[NamePlayerToShow]["Reput" .. i].value) * 100) / nextValReput;
							if(percentReput > 100 )then
								percentReput = 100;
							end
						end


						if(PlayerReput[NamePlayerToShow]["Reput" .. i].position == 9)then
							lvlMax = true;
							colorReput = ResourcePath .. "GreenBars.tga";
							percentReput = 100;
						end
						------------------------------------------------------------------------------------------
						--debug
						--if(i == 1)then
						--	Turbine.Shell.WriteLine(" pourcent : " .. tostring(percentReput) .. " show : " .. tostring(PlayerReput[NamePlayerToShow]["Reput" .. i].position) .. " : " .. 
						--	tostring(PlayerReput[NamePlayerToShow]["Reput" .. i].value) .. " / " .. tostring(nextValReput));
						--end
						------------------------------------------------------------------------------------------

						------------------------------------------------------------------------------------------
						--- display part
						------------------------------------------------------------------------------------------
						UIShowReput.Message=Turbine.UI.Label(); 
						UIShowReput.Message:SetParent(listItem); 
						UIShowReput.Message:SetSize(350, 30); 
						UIShowReput.Message:SetPosition(posx + 10, posy + 2); 
						if(PlayerReput[NamePlayerToShow]["Reput" .. i].position > 0)then
							if(lvlMax == true)then
								UIShowReput.Message:SetText(Strings.reputposition);
							else
								UIShowReput.Message:SetText(tostring((PlayerReput[NamePlayerToShow]["Reput" .. i].value)) .. " / " .. tostring(comma_value(nextValReput)));
							end
						else
							UIShowReput.Message:SetText("0 / 0");
						end
						UIShowReput.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
						UIShowReput.Message:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold18);
						UIShowReput.Message:SetForeColor(Turbine.UI.Color.White);
						UIShowReput.Message:SetZOrder(15);

						------------------------------------------------------------------------------------------
						-- filled up box
						------------------------------------------------------------------------------------------
						local sizeOfFilling = (percentReput * 350) / 100;

						UIShowReput.Message=Turbine.UI.Label(); 
						UIShowReput.Message:SetParent(listItem); 
						UIShowReput.Message:SetSize(sizeOfFilling, 15); 
						UIShowReput.Message:SetPosition(posx + 10, posy + 10); 
						UIShowReput.Message:SetText(""); 
						UIShowReput.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
						--UIShowReput.Message:SetBackColor(colorReput);
						UIShowReput.Message:SetBackground(colorReput);
						UIShowReput.Message:SetZOrder(11);

						lvlMax = false;

						UIShowReput.Message=Turbine.UI.Label(); 
						UIShowReput.Message:SetParent(listItem); 
						UIShowReput.Message:SetSize(350, 15); 
						UIShowReput.Message:SetPosition(posx + 10, posy + 10); 
						UIShowReput.Message:SetText(""); 
						UIShowReput.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
						UIShowReput.Message:SetBackColor(Turbine.UI.Color.Black);
						UIShowReput.Message:SetZOrder(10);

						UIShowReput.Message=Turbine.UI.Label(); 
						UIShowReput.Message:SetParent(listItem); 
						UIShowReput.Message:SetSize(354, 19); 
						UIShowReput.Message:SetPosition(posx + 8, posy + 8); 
						UIShowReput.Message:SetText(""); 
						UIShowReput.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
						UIShowReput.Message:SetBackColor(Turbine.UI.Color( 1, 0.5, 0.5, 0.5 ));

						------------------------------------------------------------------------------------------
						-- position alignement with faction
						------------------------------------------------------------------------------------------
						myTable = {};
						myTable = {Strings.reputposition1,
							Strings.reputposition2,
							Strings.reputposition3,
							Strings.reputposition4,
							Strings.reputposition5,
							Strings.reputposition6,
							Strings.reputposition7,
							Strings.reputposition8,
							Strings.reputposition9,
							Strings.reputposition10,
							Strings.reputposition11,
							Strings.reputposition12,
							Strings.reputposition13,
							Strings.reputposition14,
							Strings.reputposition15,
							Strings.reputposition16,
							Strings.reputposition17,
							Strings.reputposition18,
							Strings.reputposition19,
							Strings.reputposition20,
							Strings.reputposition21,
							Strings.reputposition22,
							Strings.reputposition23,
							Strings.reputposition24}; -- etc..

						if(PlayerDatas[NamePlayerToShow].sexe ~= "male")then
							myTable = {
							Strings.reputpositionFemale1, -- ennemi
							Strings.reputpositionFemale2, -- etranger
							Strings.reputpositionFemale3, -- neutre
							Strings.reputpositionFemale4, -- connaissance
							Strings.reputpositionFemale5, -- amie
							Strings.reputpositionFemale6, -- alli
							Strings.reputpositionFemale7, -- frre
							Strings.reputpositionFemale8, -- respect
							Strings.reputpositionFemale9, -- honor
							Strings.reputpositionFemale10, -- acclam

							Strings.reputposition11, -- initier
							Strings.reputposition12, -- aprenti
							Strings.reputposition13, -- Compagnon
							Strings.reputposition14, -- expert 
							Strings.reputposition15, -- artisan
							Strings.reputposition16, -- maitre
							Strings.reputposition17, -- maitre estmet
							Strings.reputposition18, -- maitre ouestmet
							Strings.reputposition19, -- grand maitre

							Strings.reputposition20, -- rookie
							Strings.reputposition21, -- minor
							Strings.reputposition22, -- major
							Strings.reputposition23, -- all-star
							Strings.reputposition24 -- hall of farmer
						};
						end
				
						local textToDisplay = "";
						if(PlayerReput[PlayerName]["Reput" .. i].genre == 1)then
							textToDisplay = myTable[PlayerReput[PlayerName]["Reput" .. i].position] ;
						elseif(PlayerReput[PlayerName]["Reput" .. i].genre == 2)then
							if(PlayerReput[PlayerName]["Reput" .. i].position > 0)then
								textToDisplay = myTable[PlayerReput[PlayerName]["Reput" .. i].position + 19];
							end
						elseif(PlayerReput[PlayerName]["Reput" .. i].genre == 0)then
							if(PlayerReput[PlayerName]["Reput" .. i].position > 0)then
								textToDisplay = myTable[PlayerReput[PlayerName]["Reput" .. i].position + 3];
							end
						else
							if(PlayerReput[PlayerName]["Reput" .. i].position > 0)then
								textToDisplay = myTable[PlayerReput[PlayerName]["Reput" .. i].position + 10];
							end
						end

						UIShowReput.Message=Turbine.UI.Label(); 
						UIShowReput.Message:SetParent(listItem); 
						UIShowReput.Message:SetSize(320, 30); 
						UIShowReput.Message:SetPosition(posx + 10, posy + 17); 
						UIShowReput.Message:SetText( textToDisplay );
						UIShowReput.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
						UIShowReput.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
						UIShowReput.Message:SetForeColor(Turbine.UI.Color.White);

						--posy = posy + 40;
						posy = 5;
						listbox:AddItem( listItem );
					end
				end
			end
		end
		------------------------------------------------------------------------------------------
		--- scrollbar handler
		------------------------------------------------------------------------------------------
	--[[
		if(SizeOfMap >= viewport1:GetHeight() and SizeOfMap > 690)then
			-- create the vertical scrollbar for our viewport
			vscroll1=Turbine.UI.Lotro.ScrollBar();
			vscroll1:SetParent(UIShowReput);
			vscroll1:SetOrientation(Turbine.UI.Orientation.Vertical);
			vscroll1:SetPosition(windowWidth - 20, 60);
			vscroll1:SetSize(12,viewport1:GetHeight()); -- set width to 12 since it's a "Lotro" style scrollbar and the height is set to match the control that we will be scrolling
			vscroll1:SetBackColor(Turbine.UI.Color(.1,.1,.2)); -- just to give it a little style
			vscroll1:SetMinimum(0);
			vscroll1:SetMaximum(viewport1.map:GetHeight()-viewport1:GetHeight()); -- we will allow scrolling the height of the map-the viewport height
			vscroll1:SetValue(0); -- set the initial value
			-- set the ValueChanged event handler to take an action when our value changes, in this case, change the map position relative to the viewport
			vscroll1.ValueChanged=function()
				viewport1.map:SetTop(0-vscroll1:GetValue());
			end
		end
	]]--

		vscrollListBox=Turbine.UI.Lotro.ScrollBar();
		vscrollListBox:SetParent(UIShowReput);
		vscrollListBox:SetOrientation(Turbine.UI.Orientation.Vertical);
		vscrollListBox:SetPosition(windowWidth-20, 70);
		vscrollListBox:SetSize(10, windowHeight - 140); -- set width to 12 since it's a "Lotro" style scrollbar and the height is set to match the control that we will be scrolling
		vscrollListBox:SetBackColor(Turbine.UI.Color(.1,.1,.2)); -- just to give it a little style
		vscrollListBox:SetMinimum(0);
		vscrollListBox:SetMaximum( (113 * 25) - 400); -- we will allow scrolling the height of the map-the viewport height
		vscrollListBox:SetValue(0); -- set the initial value
		-- set the ValueChanged event handler to take an action when our value changes, in this case, change the map position relative to the viewport
		vscrollListBox.ValueChanged=function()
			listbox:SetTop(0-vscrollListBox:GetValue());
		end

		listbox:SetVerticalScrollBar(vscrollListBox);

	end

	------------------------------------------------------------------------------------------
	--- closing window button
	------------------------------------------------------------------------------------------
	ReputWindowButton = Turbine.UI.Lotro.GoldButton();
	ReputWindowButton:SetParent( UIShowReput );
	ReputWindowButton:SetPosition(windowWidth/2 - 125, windowHeight - 50);
	ReputWindowButton:SetSize( 300, 20 );
	ReputWindowButton:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	ReputWindowButton:SetText( Strings.PluginCloseButton );
	ReputWindowButton:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	ReputWindowButton:SetVisible(true);
	ReputWindowButton:SetMouseVisible(true);

	ReputWindowButton.MouseClick = function(sender, args)
		settings["isReputWindowVisible"]["isReputWindowVisible"] = false;
		UIShowReput:SetVisible(false);
	end


	ClosingTheWindowReput();
	------------------------------------------------------------------------------------------
	--- escape key handler for window
	------------------------------------------------------------------------------------------
	UIShowReput.KeyDown=function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			UIShowReput:SetVisible(false);
			settings["isReputWindowVisible"]["isReputWindowVisible"] = false;
		end
	
		-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
		if ( args.Action == 268435635 ) then
			hudVisible=not hudVisible;
			if hudVisible then
				UIShowReput:SetVisible(false);
				MainMinimizedIcon:SetVisible(false);
				MainTinyIcon:SetVisible(false);
			else
				UIShowReput:SetVisible(settings.isReputWindowVisible);
				UpdateMinimizedIcon();
			end
		end
	end

end
------------------------------------------------------------------------------------------
--- Return numbers of reput to display
------------------------------------------------------------------------------------------
function ReturnReputValue(NamePlayerToShow)
	local nbrReput = 0;

	for i in pairs(PlayerReput[NamePlayerToShow]) do
		if(tonumber(PlayerReput[NamePlayerToShow][i].value) ~= 0)then
			nbrReput = nbrReput + 1;
		end
	end

	return nbrReput ;
end
------------------------------------------------------------------------------------------
--- Return numbers of reput to remove
------------------------------------------------------------------------------------------
function ReputToEnleve(NamePlayerToShow)
	local nbrReput = 0;
	if(PlayerDatas[NamePlayerToShow].voc == 1)then
		nbrReput = 6;
	end
	if(PlayerDatas[NamePlayerToShow].voc == 2)then
		nbrReput = 5;
	end
	if(PlayerDatas[NamePlayerToShow].voc == 3)then
		nbrReput = 5;
	end
	if(PlayerDatas[NamePlayerToShow].voc == 4)then
		nbrReput = 5;
	end
	if(PlayerDatas[NamePlayerToShow].voc == 5)then
		nbrReput = 5;
	end
	if(PlayerDatas[NamePlayerToShow].voc == 6)then
		nbrReput = 6;
	end
	if(PlayerDatas[NamePlayerToShow].voc == 7)then
		nbrReput = 5;
	end

	return nbrReput;
end

function ReturnNbrFactionsPlayerToShow(NamePlayerToShow)
	local nbrReput = 0;
	for i in pairs(PlayerReput[NamePlayerToShow]) do
		nbrReput = nbrReput + 1;
	end
	return nbrReput;
end
